import {NgModule}                   from '@angular/core';
import {CommonModule}               from '@angular/common';
import {FormsModule}                from '@angular/forms';
import {RouterModule}               from '@angular/router';

import {SubjectsEditFormComponent}  from './subjects-edit-form.component';

import {SubjectsService}             from '../subjects.service';
import {CommunityService}           from '../../../openaireLibrary/connect/community/community.service';

@NgModule({
  imports:[
    CommonModule, FormsModule, RouterModule
  ],
  declarations:[
    SubjectsEditFormComponent
   ],
  providers:[
    SubjectsService,
    CommunityService
   ],
  exports: [
    SubjectsEditFormComponent
   ]
})

export class SubjectsEditFormModule { }
