import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';

import {ManageUserNotificationsComponent} from './manage-user-notifications.component';
import {ManageUserNotificationsService} from './manage-user-notifications.service';
import { MailPrefsModule } from '../../openaireLibrary/connect/userEmailPreferences/mailsPrefs.module';

@NgModule({
  imports: [
    RouterModule, CommonModule, FormsModule, MailPrefsModule
  ],
  declarations: [
    ManageUserNotificationsComponent
   ],
  providers: [
    ManageUserNotificationsService
   ],
  exports: [
    ManageUserNotificationsComponent
   ]
})

export class ManageUserNotificationsModule {
}
