import {NgModule}                   from '@angular/core';
import {CommonModule}               from '@angular/common';
import {FormsModule}                from '@angular/forms';
import {RouterModule}               from '@angular/router';

import {PagingModule}               from '../../openaireLibrary/utils/paging.module';
import {ManageZenodoCommunitiesComponent} from './manage-zenodo-communities.component';
import {ManageZenodoCommunitiesService} from './manage-zenodo-communities.service';

@NgModule({
  imports:[
    CommonModule, FormsModule, RouterModule,
    PagingModule
  ],
  declarations:[
    ManageZenodoCommunitiesComponent
   ],
  providers:[
    ManageZenodoCommunitiesService
   ],
  exports: [
    ManageZenodoCommunitiesComponent
   ]
})

export class ManageZenodoCommunitiesModule { }
