import { Component, EventEmitter, Output } from '@angular/core';

@Component({
    selector: 'fab',
    template: `
      <div (click)="onClick()" class="   uk-float-right  " style="z-index: 100; bottom: 45px; position: fixed; right: 45px;">
        <a style="padding: 30px;" class="   uk-icon-button uk-button-danger  ">
          <span class="uk-icon" uk-icon="icon: plus; ratio: 1.5">
          </span>
        </a>
      </div>
    `
})

export class FABComponent {
  @Output() public clicked:EventEmitter<any> = new EventEmitter();

  constructor () {}

  public ngOnInit() {}

  public onClick() {
    this.clicked.emit(true);
  }

}
